diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index 0a4cbcb0d..6c5a80981 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -487,7 +487,8 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
 
         # We need oid to add object in tree at browser
         SQL = render_template(
-            "/".join([self.template_path, self._OID_SQL]), data=data
+            "/".join([self.template_path, self._OID_SQL]), data=data,
+            conn=self.conn
         )
         status, coid = self.conn.execute_scalar(SQL)
         if not status:
@@ -495,7 +496,8 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
 
         # Get updated schema oid
         SQL = render_template(
-            "/".join([self.template_path, self._OID_SQL]), coid=coid
+            "/".join([self.template_path, self._OID_SQL]), coid=coid,
+            conn=self.conn
         )
 
         status, new_scid = self.conn.execute_scalar(SQL)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index 8011eda39..4019a99c9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -598,7 +598,8 @@ AND relkind != 'c'))"""
         SQL = render_template("/".join([self.template_path,
                                         self._OID_SQL]),
                               basensp=data['basensp'],
-                              name=data['name'])
+                              name=data['name'],
+                              conn=self.conn)
         status, doid = self.conn.execute_scalar(SQL)
         if not status:
             return internal_server_error(errormsg=doid)
@@ -606,7 +607,8 @@ AND relkind != 'c'))"""
         # Get updated schema oid
         SQL = render_template("/".join([self.template_path,
                                         self._OID_SQL]),
-                              doid=doid)
+                              doid=doid,
+                              conn=self.conn)
         status, scid = self.conn.execute_scalar(SQL)
         if not status:
             return internal_server_error(errormsg=scid)
@@ -706,7 +708,8 @@ AND relkind != 'c'))"""
         # Get Schema Id
         SQL = render_template("/".join([self.template_path,
                                         self._OID_SQL]),
-                              doid=doid)
+                              doid=doid,
+                              conn=self.conn)
         status, scid = self.conn.execute_scalar(SQL)
         if not status:
             return internal_server_error(errormsg=scid)
@@ -836,7 +839,7 @@ AND relkind != 'c'))"""
 
             SQL = render_template(
                 "/".join([self.template_path, self._UPDATE_SQL]),
-                data=data, o_data=old_data)
+                data=data, o_data=old_data, conn=self.conn)
         return SQL, data
 
     def get_sql(self, gid, sid, data, scid, doid=None, is_schema_diff=False):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
index de705b9f8..14689d93d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
@@ -445,7 +445,8 @@ class DomainConstraintView(PGChildNodeView):
             # Get the recently added constraints oid
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
-                                  doid=doid, name=data['name'])
+                                  doid=doid, name=data['name'],
+                                  conn=self.conn)
             status, coid = self.conn.execute_scalar(SQL)
             if not status:
                 return internal_server_error(errormsg=coid)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
index 5f9eb81a0..cd00ea739 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
@@ -727,7 +727,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
                                   basensp=basensp,
-                                  name=self.request['name'])
+                                  name=self.request['name'],
+                                  conn=self.conn)
             status, res = self.conn.execute_2darray(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
@@ -839,7 +840,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
 
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
-                                  foid=foid)
+                                  foid=foid,
+                                  conn=self.conn)
             status, res = self.conn.execute_2darray(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
@@ -897,7 +899,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
         SQL = render_template("/".join([self.template_path,
                                         self._CREATE_SQL]),
                               data=data, is_sql=True,
-                              add_not_exists_clause=True
+                              add_not_exists_clause=True,
+                              conn=self.conn
                               )
 
         if not json_resp:
@@ -1084,11 +1087,11 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
                 sql = render_template(
                     "/".join([self.template_path,
                               'foreign_table_schema_diff.sql']),
-                    data=data, o_data=old_data)
+                    data=data, o_data=old_data, conn=self.conn)
             else:
                 sql = render_template(
                     "/".join([self.template_path, self._UPDATE_SQL]),
-                    data=data, o_data=old_data
+                    data=data, o_data=old_data, conn=self.conn
                 )
             return sql, data['name'] if 'name' in data else old_data['name']
         else:
@@ -1100,7 +1103,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
                                                ["a", "r", "w", "x"])
 
             sql = render_template("/".join([self.template_path,
-                                            self._CREATE_SQL]), data=data)
+                                            self._CREATE_SQL]), data=data,
+                                  conn=self.conn)
             return sql, data['name']
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py
index cbb5d649e..a53a65930 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py
@@ -12,7 +12,8 @@ import sys
 import traceback
 from urllib.parse import urlencode
 
-from regression.python_test_utils.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection,\
+    set_isolation_level
 from regression.python_test_utils import test_utils as utils
 
 # Load test data from json file.
@@ -88,10 +89,10 @@ def create_foreign_table(server, db_name, schema_name, fsrv_name,
                                        server['host'],
                                        server['port'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        set_isolation_level(connection, old_isolation_level)
         connection.commit()
 
         # Get 'oid' from newly created foreign table
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index e14ca9857..4236ec03d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -257,7 +257,7 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
 
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
-            scid=scid
+            scid=scid, conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -373,7 +373,8 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             scid=scid,
-            cfgid=cfgid
+            cfgid=cfgid,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -475,7 +476,8 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             name=data['name'],
-            scid=data['schema']
+            scid=data['schema'],
+            conn=self.conn
         )
         status, res = self.conn.execute_2darray(sql)
         if not status:
@@ -505,6 +507,12 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
         data = request.form if request.form else json.loads(
             request.data, encoding='utf-8'
         )
+
+        if cfgid == 0 or cfgid is None:
+            return gone(
+                _("Could not find the FTS Configuration node to update.")
+            )
+
         # Fetch sql query to update fts Configuration
         sql, name = self.get_sql(gid, sid, did, scid, data, cfgid)
         # Most probably this is due to error
@@ -571,8 +579,9 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
                 status, res = self.conn.execute_dict(sql)
                 if not status:
                     return internal_server_error(errormsg=res)
-                elif not res['rows']:
+                elif not res['rows'] or len(res['rows']) == 0:
                     return make_json_response(
+                        status=410,
                         success=0,
                         errormsg=_(
                             'Error: Object not found.'
@@ -694,7 +703,8 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
             sql = render_template(
                 "/".join([self.template_path, self._PROPERTIES_SQL]),
                 cfgid=cfgid,
-                scid=scid
+                scid=scid,
+                conn=self.conn
             )
 
             status, res = self.conn.execute_dict(sql)
@@ -737,7 +747,7 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
 
             sql = render_template(
                 "/".join([self.template_path, self._UPDATE_SQL]),
-                data=new_data, o_data=old_data
+                data=new_data, o_data=old_data, conn=self.conn
             )
             # Fetch sql query for modified data
             if 'name' in data:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
index 62bf4c7a8..8fefe0e5a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
@@ -84,7 +84,7 @@ class FTSConfDeleteTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' +
             str(0),
             follow_redirects=True)
-        self.assertEqual(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 410)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
index 2392f6c69..abf5f27be 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
@@ -97,7 +97,7 @@ class FTSConfPutTestCase(BaseTestGenerator):
             str(0),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEqual(negative_put_response.status_code, 500)
+        self.assertEqual(negative_put_response.status_code, 410)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index c948a4877..ad330adb6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -265,7 +265,7 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
 
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
-            scid=scid
+            scid=scid, conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -383,7 +383,8 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             scid=scid,
-            dcid=dcid
+            dcid=dcid,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -472,7 +473,8 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             name=data['name'],
-            scid=data['schema']
+            scid=data['schema'],
+            conn=self.conn
         )
         status, dcid = self.conn.execute_scalar(sql)
         if not status:
@@ -515,7 +517,8 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
         if dcid is not None:
             sql = render_template(
                 "/".join([self.template_path, self._PROPERTIES_SQL]),
-                dcid=dcid
+                dcid=dcid,
+                conn=self.conn
             )
 
             status, res = self.conn.execute_dict(sql)
@@ -569,6 +572,7 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
                     return internal_server_error(errormsg=res)
                 elif not res['rows']:
                     return make_json_response(
+                        status=410,
                         success=0,
                         errormsg=_(
                             'Error: Object not found.'
@@ -699,7 +703,8 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
             sql = render_template(
                 "/".join([self.template_path, self._PROPERTIES_SQL]),
                 dcid=dcid,
-                scid=scid
+                scid=scid,
+                conn=self.conn
             )
 
             status, res = self.conn.execute_dict(sql)
@@ -740,7 +745,7 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
 
             sql = render_template(
                 "/".join([self.template_path, self._UPDATE_SQL]),
-                data=new_data, o_data=old_data
+                data=new_data, o_data=old_data, conn=self.conn
             )
             # Fetch sql query for modified data
             if 'name' in data:
@@ -807,7 +812,8 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             scid=scid,
-            dcid=dcid
+            dcid=dcid,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
index ff6613c41..147b0fdd8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
@@ -88,7 +88,7 @@ class FtsDictionaryDeleteTestCase(BaseTestGenerator):
             str(0),
             follow_redirects=True)
 
-        self.assertEqual(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 410)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
index f20be4ebe..b11abf3e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
@@ -249,7 +249,8 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
     def list(self, gid, sid, did, scid):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
-            scid=scid
+            scid=scid,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -341,7 +342,8 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             scid=scid,
-            pid=pid
+            pid=pid,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -418,7 +420,8 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             name=data['name'],
-            scid=data['schema'] if 'schema' in data else scid
+            scid=data['schema'] if 'schema' in data else scid,
+            conn=self.conn
         )
         status, pid = self.conn.execute_scalar(sql)
         if not status:
@@ -461,7 +464,8 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
             sql = render_template(
                 "/".join([self.template_path, self._PROPERTIES_SQL]),
                 pid=pid,
-                scid=data['schema'] if 'schema' in data else scid
+                scid=data['schema'] if 'schema' in data else scid,
+                conn=self.conn
             )
 
             status, res = self.conn.execute_dict(sql)
@@ -515,6 +519,7 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
                     return internal_server_error(errormsg=res)
                 elif not res['rows']:
                     return make_json_response(
+                        status=410,
                         success=0,
                         errormsg=_(
                             'Error: Object not found.'
@@ -638,7 +643,8 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
             sql = render_template(
                 "/".join([self.template_path, self._PROPERTIES_SQL]),
                 pid=pid,
-                scid=scid
+                scid=scid,
+                conn=self.conn
             )
 
             status, res = self.conn.execute_dict(sql)
@@ -681,7 +687,8 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
             sql = render_template(
                 "/".join([self.template_path, self._UPDATE_SQL]),
                 data=new_data,
-                o_data=old_data
+                o_data=old_data,
+                conn=self.conn
             )
             # Fetch sql query for modified data
             if 'name' in data:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py
index 78a180960..b9215a257 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py
@@ -86,7 +86,7 @@ class FtsParserDeleteTestCase(BaseTestGenerator):
             str(0),
             follow_redirects=True)
 
-        self.assertEqual(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 410)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index f8256456d..c5eda826a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -228,7 +228,7 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
     def list(self, gid, sid, did, scid):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
-            scid=scid
+            scid=scid, conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -318,7 +318,8 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             scid=scid,
-            tid=tid
+            tid=tid,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
         if not status:
@@ -389,7 +390,8 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             name=data['name'],
-            scid=data['schema'] if 'schema' in data else scid
+            scid=data['schema'] if 'schema' in data else scid,
+            conn=self.conn
         )
         status, tid = self.conn.execute_scalar(sql)
         if not status:
@@ -479,6 +481,7 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
 
             if not res['rows']:
                 return make_json_response(
+                    status=410,
                     success=0,
                     errormsg=gettext(
                         'Error: Object not found.'
@@ -609,7 +612,8 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
             sql = render_template(
                 "/".join([self.template_path, self._PROPERTIES_SQL]),
                 tid=tid,
-                scid=scid
+                scid=scid,
+                conn=self.conn
             )
 
             status, res = self.conn.execute_dict(sql)
@@ -644,7 +648,7 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
 
             sql = render_template(
                 "/".join([self.template_path, self._UPDATE_SQL]),
-                data=new_data, o_data=old_data
+                data=new_data, o_data=old_data, conn=self.conn
             )
 
             # Fetch sql query for modified data
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
index 6546a8301..d1a324d23 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
@@ -85,7 +85,7 @@ class FtsTemplateDeleteTestCase(BaseTestGenerator):
             str(0),
             follow_redirects=True)
 
-        self.assertEqual(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 410)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index 88b39cb60..112ce066d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -385,7 +385,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
 
         sql = render_template("/".join([self.sql_template_path,
                                         self._NODE_SQL]),
-                              scid=scid)
+                              scid=scid, conn=self.conn)
         status, res = self.conn.execute_dict(sql)
 
         if not status:
@@ -411,7 +411,8 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.sql_template_path, self._NODE_SQL]),
             scid=scid,
-            fnid=fnid
+            fnid=fnid,
+            conn=self.conn
         )
         status, rset = self.conn.execute_2darray(sql)
 
@@ -857,7 +858,8 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                 [self.sql_template_path, self._OID_SQL]
             ),
             nspname=self.request['pronamespace'],
-            name=self.request['name']
+            name=self.request['name'],
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
         if not status:
@@ -1102,7 +1104,8 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                                    data=resp_data, query_type="create",
                                    func_def=name_with_default_args,
                                    query_for="sql_panel",
-                                   add_replace_clause=True
+                                   add_replace_clause=True,
+                                   conn=self.conn
                                    )
 
         return func_def
@@ -1135,7 +1138,8 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                                              self._CREATE_SQL]),
                                    data=resp_data, query_type="create",
                                    func_def=name_with_default_args,
-                                   query_for="sql_panel")
+                                   query_for="sql_panel",
+                                   conn=self.conn)
 
         return func_def
 
@@ -1462,7 +1466,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
 
         sql = render_template(
             "/".join([self.sql_template_path, self._UPDATE_SQL]),
-            data=data, o_data=old_data
+            data=data, o_data=old_data, conn=self.conn
         )
         return True, '', sql
 
@@ -1561,7 +1565,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
             # Create mode
             sql = render_template("/".join([self.sql_template_path,
                                             self._CREATE_SQL]),
-                                  data=data, is_sql=is_sql)
+                                  data=data, is_sql=is_sql, conn=self.conn)
         return True, sql.strip('\n')
 
     def _fetch_properties(self, gid, sid, did, scid, fnid=None):
@@ -1961,7 +1965,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
         if not oid:
             sql = render_template("/".join([self.sql_template_path,
                                             self._NODE_SQL]), scid=scid,
-                                  schema_diff=True)
+                                  schema_diff=True, conn=self.conn)
             status, rset = self.conn.execute_2darray(sql)
             if not status:
                 return internal_server_error(errormsg=res)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py
index be2eedf7c..b62bb7c85 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_add.py
@@ -53,7 +53,7 @@ class FunctionAddTestCase(BaseTestGenerator):
             is_positive_test=False,
             mocking_required=True,
             mock_data={
-                "function_name": "pgadmin.utils.driver.psycopg2."
+                "function_name": "pgadmin.utils.driver.psycopg3."
                                  "connection.Connection.execute_scalar",
                 "return_value": "(False, 'Mocked Internal Server "
                                 "Error while create new function get sql.')"
@@ -67,7 +67,7 @@ class FunctionAddTestCase(BaseTestGenerator):
             is_positive_test=False,
             mocking_required=True,
             mock_data={
-                "function_name": "pgadmin.utils.driver.psycopg2."
+                "function_name": "pgadmin.utils.driver.psycopg3."
                                  "connection.Connection.execute_dict",
                 "return_value": "(False, 'Mocked Internal Server "
                                 "Error while create new function.')"
